Bug 2044 - profiles mmap failure when reading NTUSER.DAT
profiles mmap failure when reading NTUSER.DAT
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.8
x86 OpenBSD
: P3 normal
: none
Assigned To: Richard Sharpe
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 05:31 UTC by Rene Badalassi
Modified: 2005-08-24 10:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Badalassi 2004-11-17 05:31:44 UTC
The migration utility "profiles" fails when attempting to extract SID
information from an NTUSER.DAT file.
syntax:
# profiles NTUSER.DAT
Here is the reproduceable error message I get:
Could not mmap file: NTUSER.DAT, Cannot allocate memory
This is reproduceable on both 3.0.7 and 3.0.8.
Platform is OpenBSD 3.6, using samba compiled from source (not ports).
there is no bug report entry on bugzilla for profiles, so I put this under
rpcclient.
Comment 1 Volker Lendecke 2004-11-17 09:16:29 UTC
Just tried it with SuSE 8.2, worked. Could you provide an strace of the program
failure?

Volker
Comment 2 Rene Badalassi 2004-11-17 15:09:57 UTC
This is not linux, I think it's an (Open)BSD specific issue.
ktrace dump below (no strace in OpenBSD).

 14059 ktrace   RET   ktrace 0
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/sbin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/usr/sbin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/bin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/usr/bin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/usr/X11R6/bin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/usr/local/sbin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/usr/local/bin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/opt/schily/bin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/usr/local/ups/bin/profiles"
 14059 ktrace   RET   execve -1 errno 2 No such file or directory
 14059 ktrace   CALL  execve(0xcfbf6fb8,0xcfbf74e0,0xcfbf74ec)
 14059 ktrace   NAMI  "/usr/local/samba/bin/profiles"
 14059 profiles NAMI  "/usr/libexec/ld.so"
 14059 profiles EMUL  "native"
 14059 profiles RET   execve 0
 14059 profiles CALL  issetugid
 14059 profiles RET   issetugid 0
 14059 profiles CALL  mprotect(0x2eb07000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mmap(0,0x1000,0x3,0x1002,0xffffffff,0,0,0)
 14059 profiles RET   mmap -1955418112/0x8b72b000
 14059 profiles CALL  open(0x2eb05649,0,0)
 14059 profiles NAMI  "/var/run/ld.so.hints"
 14059 profiles RET   open 3
 14059 profiles CALL  fstat(0x3,0xcfbf5df4)
 14059 profiles RET   fstat 0
 14059 profiles CALL  mmap(0,0xbae,0x1,0x2,0x3,0,0,0)
 14059 profiles RET   mmap -2044473344/0x8623d000
 14059 profiles CALL  close(0x3)
 14059 profiles RET   close 0
 14059 profiles CALL  open(0x8623d730,0,0)
 14059 profiles NAMI  "/usr/lib/libc.so.34.1"
 14059 profiles RET   open 3
 14059 profiles CALL  fstat(0x3,0xcfbf52a0)
 14059 profiles RET   fstat 0
 14059 profiles CALL  read(0x3,0xcfbf5310,0x1000)
 14059 profiles GIO   fd 3 read 4088 bytes
      
"\^?ELF\^A\^A\^A\0\0\0\0\0\0\0\0\0\^C\0\^C\0\^A\0\0\0\2401\^A\0004\0\0\0\M^X^
\0\0\0\0\0004\0 \0\^F\0(\0\^[\0\^X\0\^A\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\M-v\M-p\a\0\M-v\M-p\a\0\^E\0\0\0\0\^P\0\0\^A\0\0\0\0\0\b\0\0\0\0
\0\0\0 \M-;\M-a\0\0\M-;\M-a\0\0\^D\0\0\0\0\^P\0\
	\0\^A\0\0\0\M-@\M-a\b\0\M-@\M-q\0 \M-@\M-q\0
|n\0\0|n\0\0\^F\0\0\0\0\^P\0\0\^A\0\0\0<P	\0<p\^A <p\^A
\^T\f\0\0\^T\f\0\0\^F\0\0\0\0\
	\^P\0\0\^A\0\0\0`\\	\0`\M^L\^A `\M^L\^A
\0\0\0\0\M-(\M-j\^A\0\^F\0\0\0\0\^P\0\0\^B\0\0\0\M^\O	\0\M^\_\^A \M^\_\^A \240\0\
	\0\0\240\0\0\0\^F\0\0\0\^D\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\a\^D\0\0;\^F\0\0\M-,\^D\0\0\M-R\^E\0\0*\^B\0\0\M^X\0\0\09\^C\0\0\M^Z\^B\0\0u\^E\0\0002\^F\0\0\0\0\0\
	\0\M-&\^B\0\0\M-D\^E\0\0\M^?\^E\0\0\0\0\0\0.\^E\0\0\0\0\0\0\^Y\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0d\^C\0\0\0\0\0\0\M-$\^B\0\0\M-8\^B\0\0\
	\^?\^C\0\0\0\0\0\0Y\0\0\0
	\^F\0\0f\^D\0\0\0\0\0\0\M^K\^E\0\0\0\0\0\0\M-J\^D\0\0\M-:\^C\0\0O\^D\0\0\^Y\^F\0\0\M-m\^A\0\0\0\0\0\0<\^B\0\0\M-c\^E\0\0\0\0\0\0B\
	\^E\0\0\0\0\0\0\M-)\^D\0\0/\^B\0\0\M-G\^E\0\0\M-J\^E\0\0r\^C\0\0\0\0\0\0\M^\\^C\0\0\M^V\^B\0\0\^Z\^D\0\0-\^E\0\0b\^B\0\0\0\0\0\0\r\
	\^C\0\0;\0\0\0\0\0\0\0\M-5\^A\0\0\0\0\0\0\M-Z\^E\0\0\M^]\^D\0\0\0\0\0\08\^E\0\0o\^A\0\0\M^E\^A\0\0E\^E\0\0)\^E\0\0*\0\0\0\M^O\^B\0\
	\0\M-K\^B\0\0\0\0\0\08\^F\0\0\0\0\0\0\M^Z\^D\0\0\^A\^C\0\0\M-h\^E\0\0\^?\^E\0\0\M-P\^D\0\0006\^E\0\0i\^E\0\0)\^F\0\0\0\0\0\0\M-,\^E\
	\0\0\^A\^D\0\0s\^E\0\0S\^E\0\0\M-Q\^C\0\0r\^A\0\0U\^D\0\0-\^F\0\0\M-j\^E\0\0\M^A\^E\0\0\^Y\^A\0\0\M-)\^E\0\0\0\0\0\0\M-W\^E\0\0\M^T\
	\^B\0\0\^T\^F\0\0!\^D\0\09\^D\0\0\0\0\0\0\M^?\^B\0\0m\^D\0\0~\^C\0\0e\^E\0\0\M^R\^E\0\0\f\^E\0\0\0\0\0\0e\^A\0\0\^^\^E\0\0\M-*\^E\0\
	\0\^C\^D\0\0\M^D\^E\0\0\M--\^E\0\0\M^G\^E\0\0\M-8\0\0\0r\^D\0\0A\^D\0\0h\^D\0\0\^_\0\0\0\M-{\^B\0\0\M-}\^A\0\0\M-}\^C\0\0\M-F\^D\0\
	\0\^P\^D\0\0J\0\0\0P\^A\0\0\0\0\0\0\0\0\0\0\M-z\^E\0\0\M-g\^E\0\0\0\0\0\0|\^E\0\0\M^K\^D\0\0\M^_\^B\0\0A\^C\0\0?\^D\0\0\M-K\^A\0\0\
	\0\0\0\0\M-I\^A\0\0q\^B\0\0G\^E\0\0\M-6\^A\0\0w\^D\0\0\M-Z\^D\0\0\M->\^B\0\0\^?\0\0\0\0\0\0\0(\^C\0\09\^E\0\0001\^E\0\0\0\0\0\0\M-g\
	\^C\0\0\0\0\0\0\0\0\0\0\M^W\0\0\0Z\^C\0\0\r\^D\0\0\^D\^C\0\0\M-o\0\0\0\M^P\^B\0\0\0\0\0\0\M^O\^E\0\0\M-@\^E\0\0\^\\^D\0\0\0\0\0\0\
	\M-n\^D\0\0\0\0\0\0
\^D\0\0\M-=\^B\0\0e\^C\0\0\M^G\^B\0\0\M->\^E\0\0\0\0\0\0/\^E\0\0\0\0\0\0\M^G\^D\0\0(\^A\0\0\a\^F\0\0\M^I\^E\0\0\
	L\^E\0\0\0\0\0\0\M-Y\^D\0\0\M-+\^B\0\0\^U\^C\0\0\M-'\^B\0\0T\^B\0\0\M-B\^C\0\0\M-"\^E\0\0\M-V\^D\0\0#\^B\0\0h\^E\0\08\^C\0\0\0\0\0\
	\0p\^C\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M^W\^B\0\0\^B\^C\0\0\^W\^E\0\0\M-U\^D\0\0\0\0\0\0\M-O\^E\0\0\0\0\0\0\0\0\0\0\M^Z\^E\0\0\M-d\^C\0\
	\0005\^F\0\0Q\^B\0\0\^]\^E\0\0\0\0\0\0\^B\^F\0\0\M^F\^E\0\0\M-~\^E\0\0\0\0\0\0#\^F\0\0\0\0\0\0\M-`\^C\0\0\M^M\^E\0\0\M-\\^C\0\0\M-<\
	\^E\0\0\M-@\0\0\0\0\0\0\0\M-i\^C\0\0\r\^A\0\0<\^E\0\0\0\0\0\0\0\0\0\0\M-_\^C\0\0+\^E\0\0\^[\^F\0\0\M-v\^E\0\0N\^D\0\0y\^D\0\0Y\^E\0\
	\0\M--\^C\0\0\M-c\0\0\0\M^^\^B\0\0\M-=\^D\0\0\0\^B\0\0\M-k\^D\0\0\M-b\^A\0\0\0\0\0\0\0\0\0\0\M^Q\^E\0\0\M-s\^D\0\0\0\0\0\0\M-&\^D\0\
	\0\0\0\0\0\M-:\^E\0\0\b\^A\0\0\^A\^A\0\0\M^K\^A\0\0\0\0\0\0\b\^F\0\0\^P\^E\0\0\M-.\^D\0\0\M-L\^E\0\0\M-K\^E\0\0\M-6\^E\0\0\M-;\^B\0\
	\0\M-I\^D\0\0Y\^C\0\0\^^\^C\0\0\0\0\0\0J\^C\0\0x\^D\0\0+\^A\0\0\^E\^C\0\0\0\0\0\0\M-C\^C\0\0@\^E\0\0M\^A\0\0\M-V\^E\0\0\M^S\^E\0\0"\
	\^E\0\0\0\0\0\0\M-m\^C\0\0\M-Y\^E\0\0\0\0\0\0S\^B\0\0\0\0\0\0=\0\0\0\^[\^D\0\0\M-w\^E\0\0\a\^E\0\0\0\0\0\0\^Z\^E\0\0}\^E\0\0\0\0\0\
	\0j\^B\0\0\0\0\0\0j\^E\0\0\M-'\0\0\0c\0\0\0\0\0\0\0\M-|\^C\0\0\M-X\^E\0\0D\^E\0\0[\^E\0\0\0\0\0\0\\\^C\0\0\^Q\^A\0\09\^B\0\0\M^@\^A\
	\0\0*\^D\0\0$\^E\0\0\0\0\0\0\^Q\^E\0\0\^O\^F\0\0\^C\^F\0\0\M-P\^E\0\0\M-r\^E\0\0\M-v\^B\0\0\0\0\0\0\M-.\^A\0\0\M^I\^D\0\0\0\0\0\0\
	\^O\^D\0\0\M-;\^E\0\0\M-X\^C\0\0\M-D\^C\0\0\0\0\0\0
\^A\0\0\M^R\0\0\0\M^S\^B\0\0\M-%\^B\0\0d\^A\0\0\M^R\^B\0\0\0\0\0\0\0\0\0\0\^N\
	\^E\0\0,\^D\0\0\0\0\0\0\0\0\0\0\M-:\^D\0\0\0\0\0\0k\^C\0\0t\^C\0\0\M^^\^D\0\0\0\0\0\0\M^]\^C\0\0:\^E\0\0k\^D\0\0\0\0\0\0\^V\^E\0\0\
	\M-8\^D\0\0l\^A\0\0"\^D\0\0001\0\0\0\^]\^D\0\0Y\^B\0\0\^Y\^E\0\0\M-J\^C\0\0\M-.\^E\0\0\0\0\0\0\M^[\^D\0\0\M-4\^E\0\0\M-R\^A\0\0\M-6\
	\0\0\0]\^D\0\0\M-]\^E\0\0\0\0\0\0\M-'\^E\0\0\^D\^A\0\0\M-{\^D\0\0\0\0\0\0\0\0\0\0c\^E\0\0\0\0\0\0u\^B\0\0\M-!\^D\0\0\0\0\0\0M\^E\0\
	\0\M-2\^E\0\0\M^B\^B\0\0\M-/\0\0\0.\^D\0\0\M^Y\^E\0\0004\^C\0\0\r\^F\0\0\0\0\0\0
	\^C\0\0\M-E\^A\0\0\0\0\0\0W\^C\0\0\M-*\^C\0\0]\^C\0\0\v\^F\0\0&\^C\0\0003\^F\0\0:\^F\0\0\0\0\0\0\0\0\0\0\M^F\^D\0\0\M^U\^D\0\0\M-u\
	\^B\0\0\M-.\^C\0\0\^F\^D\0\0\M-_\^E\0\0\M^J\^D\0\0\M-L\^D\0\0\M-7\^B\0\0\M^U\^A\0\0O\^E\0\0
\^F\0\0\M-8\^E\0\0\0\0\0\0.\^C\0\0\0\^D\
	\0\0\M-c\^A\0\0\^W\^B\0\0`\^E\0\0'\0\0\0"\^F\0\0H\^D\0\0\M-p\^E\0\0/\^C\0\0004\^D\0\0\M-A\^D\0\0\M^R\^C\0\0S\^A\0\0\0\0\0\0'\^D\0\0\
	\M^D\^A\0\0\0\0\0\0\M-,\^A\0\0\M-b\^C\0\0\M-7\^A\0\0\M-(\^A\0\0m\^B\0\0\0\0\0\0\M-o\^C\0\0\0\0\0\0\M-2\^B\0\0\^B\^E\0\0\0\0\0\0\M-~\
	\0\0\0\M^@\^B\0\0\M^N\^E\0\0\M-O\^D\0\0$\^C\0\0:\^C\0\0\M-#\^E\0\0\0\0\0\0\0\0\0\0.\^A\0\0\0\0\0\0\M-b\^E\0\0\M^M\^C\0\0a\^E\0\0\
	\M-a\^E\0\0\0\0\0\0\0\0\0\0v\0\0\0&\^D\0\0\0\0\0\0x\^E\0\0\0\0\0\0q\^C\0\0\M^P\0\0\0p\^B\0\0002\^C\0\0\0\0\0\0\M^M\^D\0\0\0\0\0\0\
	\M-k\^B\0\0K\^D\0\0\M-E\^E\0\0w\^B\0\0\M--\^D\0\0\0\0\0\0000\^D\0\0\M^R\^A\0\08\^B\0\0%\^F\0\0o\0\0\0\^_\^B\0\0\M-!\^E\0\0V\^B\0\0\
	\M-{\^C\0\0\M-l\^D\0\0000\^B\0\0&\^F\0\0@\^B\0\0\M-l\^E\0\0\M-Q\^B\0\0\M-u\^E\0\0\^D\^F\0\0
\^F\0\0\M^@\^E\0\0\M^C\^D\0\0\0\0\0\
	\0\M-p\^B\0\0\^W\^C\0\0]\^B\0\09\^F\0\0\0\0\0\0\M^I\^C\0\0\M-x\^B\0\0\M-T\^B\0\0\M-L\^C\0\0\^U\^F\0\0~\^D\0\0\M-e\^E\0\0!\^E\0\0i\
	\^B\0\0\^W\^F\0\0\0\0\0\0\M-i\^D\0\0\240\^D\0\0\M^I\^A\0\0\M-`\^D\0\0\^[\^B\0\0\^X\^F\0\0\M-'\^C\0\0\^[\^E\0\0\M-N\^D\0\0\0\0\0\0\0\
	\0\0\0K\^E\0\0U\^A\0\0_\^E\0\0\M^V\^A\0\0\M-y\^B\0\0^\^E\0\0\0\0\0\0{\^C\0\0007\^C\0\0I\^A\0\0\M-+\^E\0\0\0\^F\0\0\M-0\^D\0\0\0\0\0\
	\0.\^F\0\0\^N\^A\0\0\M-<\^C\0\0007\^D\0\0\^]\^A\0\0\M-e\^C\0\0\0\0\0\0A\^E\0\0.\^B\0\0\M-'\^D\0\0!\^C\0\0\M-]\^A\0\0\M-}\^B\0\0(\^F\
	\0\0\0\0\0\0\M-i\^E\0\0\M-i\0\0\0\M-{\^E\0\0\0\0\0\0\0\0\0\0u\^C\0\0\M^E\^D\0\0007\^B\0\0\M-k\^E\0\0\^\\^F\0\0,\^C\0\0I\^E\0\0\0\0\
	\0\0k\^E\0\0=\^C\0\0?\0\0\0\M-a\^D\0\0\M-}\^E\0\0\M-_\^D\0\0`\^B\0\0\0\0\0\0005\^A\0\0\0\0\0\0W\0\0\0\M-:\0\0\0W\^B\0\0w\^E\0\0L\^D\
	\0\0\0\0\0\0\^^\^D\0\0\0\0\0\0\0\0\0\0,\^F\0\0\^N\^D\0\0\M-[\^C\0\0\M-s\^C\0\0\0\0\0\0\0\^C\0\0\0\0\0\0\M^M\^A\0\0"\^A\0\0001\^C\0\
	\0\M-T\^E\0\0!\^A\0\0\^A\^E\0\0\0\0\0\0\M-z\^B\0\0N\^E\0\0\M^P\^E\0\0\M-t\^E\0\0\M-M\^A\0\0V\^D\0\0\M-r\^D\0\0H\^C\0\0\M-H\^D\0\0\
	\^R\^F\0\0\M-N\^E\0\0?\^E\0\0\M-h\^A\0\0F\^E\0\0x\^A\0\0r\^E\0\0P\^E\0\0Q\^C\0\0\M-r\^C\0\0\M-&\^C\0\0\M-~\^A\0\0\0\^E\0\0\M-^\^E\0\
	\0n\^D\0\0\M-W\^D\0\0\^^\^F\0\0\M-U\^B\0\0\0\0\0\0Z\^D\0\0\M-3\^E\0\0h\^B\0\0\240\0\0\0\M-2\^C\0\0\M^H\^B\0\0\M-M\^C\0\0\0\0\0\0t\0\
	\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\M^B\^C\0\0\M-j\0\0\0\0\0\0\0\0\0\0\0V\^C\0\0\M-?\^E\0\0\^?\^B\0\0\M-Y\^C\0\0\M^]\^E\0\0\f\^A\0\
	\0\0\0\0\0\0\0\0\0\^X\^A\0\0\M^[\^B\0\0\^V\^F\0\0
\^D\0\0\^S\^D\0\0g\^E\0\0e\^B\0\0\M^H\^E\0\0[\^C\0\0\M-<\^A\0\0\^R\^C\0\0a\
	\^D\0\0\M-b\^D\0\0004\^F\0\0\M^T\^D\0\0005\^B\0\0\0\0\0\0y\^C\0\0*\^F\0\0\0\0\0\0\M-2\^A\0\0\0\0\0\0\0\0\0\0003\^B\0\0\0\0\0\0S\^C\
	\0\0005\^E\0\0\0\0\0\0u\^D\0\0|\^B\0\0\^_\^F\0\0\M^F\^C\0\0\M-H\^C\0\0\M^@\^C\0\0\0\0\0\0+\^F\0\0\M-#\^C\0\0\M^E\^C\0\0s\^A\0\0\^Q\
	\^F\0\0\0\0\0\0\M-"\^D\0\0t\^E\0\0\M-V\^B\0\0\^E\^B\0\0n\0\0\0\M-p\^C\0\0
	\^B\0\0\M^C\^E\0\0\M-M\^E\0\0\M-W\^B\0\0\M-6\^D\0\0\0\0\0\0\M-L\0\0\0\M-K\^D\0\0\0\0\0\0\M-%\^D\0\0\M-G\^C\0\0a\^B\0\0#\^D\0\0\M-H\
	\^E\0\0^\^A\0\0\M^Z\^C\0\0\M-(\0\0\0\M-_\0\0\0\M-I\^E\0\0007\^E\0\0\M^L\^B\0\0\M-|\^D\0\0\M^P\^D\0\0\M-$\^C\0\0\0\0\0\0\M-{\^A\0\0\
	\^Y\^C\0\0\M^E\^E\0\0V\^E\0\0\M-^\^B\0\0\0\0\0\0}\^B\0\0\M-v\0\0\0\M-;\^C\0\0{\^B\0\0\M-f\^E\0\0\M-y\^D\0\0+\^D\0\0\M-y\^E\0\0;\^E\
	\0\0!\^F\0\0\M^U\^C\0\0\M->\^D\0\0\0\0\0\0\M-U\^E\0\0\M^S\^D\0\0\0\0\0\0>\0\0\0\M-$\^D\0\0\0\0\0\0\0\0\0\0\M-/\^C\0\0\0\0\0\0\b\^D\
	\0\0\M-a\^B\0\0\M^T\^E\0\0\M-o\^E\0\0\0\0\0\0Y\^A\0\0\0\0\0\0m\^E\0\0\0\0\0\0p\^E\0\0\0\0\0\0003\^D\0\0\M-\\^E\0\0\M->\^A\0\0\0\0\0\
	\0\^V\^D\0\0\M-m\^E\0\0\^X\0\0\0\0\0\0\0\M-x\0\0\0;\^C\0\0\M-O\^A\0\0000\^E\0\0\0\0\0\0\M^Q\^C\0\0\0\0\0\0\M^Z\0\0\0\M-s\^B\0\0\M^\\
	\^E\0\0\M-7\^E\0\0\M^?\^D\0\0\M-&\^E\0\0\M-^\0\0\0\0\0\0\0\^]\^C\0\0\M-q\^B\0\0\0\0\0\0'\^F\0\0C\^E\0\0\M^?\^C\0\0\0\0\0\0004\^E\0\
	\0\0\0\0\0\M^E\0\0\0\0\0\0\0M\^C\0\0Y\^D\0\0\^O\^E\0\0\0\0\0\0\M^^\^E\0\0N\^B\0\0\0\0\0\0\M-S\^D\0\0\M-[\^E\0\0\M-@\^D\0\0\0\0\0\
	\0002\^D\0\0\M-S\^E\0\0\M^B\^E\0\0001\^F\0\0%\^C\0\0\0\0\0\0\M^S\^A\0\0\M-F\^E\0\0o\^C\0\0{\^A\0\0\M-P\^A\0\0\0\0\0\0\M-K\^C\0\0>\
	\^C\0\0\M-5\^D\0\0n\^E\0\0\0\0\0\0!\0\0\0\^Z\^F\0\0\0\0\0\0\M-j\^D\0\0\M^O\0\0\0q\^E\0\0\M-?\^D\0\0\M-h\^D\0\0\M-N\^A\0\0\M-B\^B\0\
	\0\a\^C\0\0\M^\\^D\0\0\M->\^C\0\0R\^E\0\0U\^C\0\0\0\0\0\0\0\0\0\0\M-u\^C\0\0\M-C\^A\0\0\M-!\0\0\0\0\0\0\0\^V\^C\0\0\^X\^D\0\0\M-G\
	\^D\0\0\0\0\0\0\0\0\0\0\M^L\^E\0\0\M-K\0\0\0#\^E\0\0\^F\^E\0\0\M-(\^E\0\0\M-5\^E\0\0\0\0\0\0\0\0\0\0\M^N\^D\0\0\v\^D\0\0\\\^B\0\0\
	\M-T\^D\0\0\M-R\^C\0\0\^E\^F\0\0\M-r\^B\0\0\f\^F\0\0001\^D\0\0\M^B\^D\0\0\^F\^B\0\0\M-p\^D\0\0@\^A\0\0\^C\^E\0\0\0\0\0\0\0\0\0\0\0\
	\0\0\0M\0\0\0y\0\0\0\0\0\0\0\M-I\^C\0\0\^P\^B\0\0\M-p\^A\0\0\0\0\0\0\0\0\0\0\M^Q\^B\0\0{\^E\0\0\0\0\0\0\M-0\^E\0\0J\^E\0\0@\^D\0\0|\
	\^C\0\0\M-/\^D\0\0\^T\^D\0\0\M-<\0\0\0000\^F\0\0\M-P\^B\0\0\^S\^F\0\0\^F\^F\0\0Z\^E\0\0_\^D\0\0\^E\^E\0\0X\^D\0\0\^[\^C\0\0\^B\^A\0\
	\0\M-*\^D\0\0\0\0\0\0\M-q\^E\0\0~\^E\0\0002\^E\0\0\0\0\0\0}\^D\0\0\^D\^E\0\0\^U\^D\0\0\0\0\0\0\M-+\^A\0\0\^A\^F\0\0\M^[\^C\0\0\0\0\
	\0\0$\^A\0\0\M-w\^B\0\0\M-j\^C\0\0\M^L\^D\0\0003\^E\0\0c\^C\0\0\M-q\^C\0\0\M-l\^C\0\0\0\0\0\0007\^F\0\0\0\0\0\0\0\0\0\0:\^D\0\0\0\0\
	\0\0\M-d\^E\0\0A\0\0\0$\^F\0\0\M-(\^C\0\0\M-|\^E\0\0*\^E\0\0\0\0\0\0\M-C\^E\0\0\^F\^C\0\0\0\0\0\0,\^E\0\0\M-h\0\0\0\M-X\^B\0\0\0\0\
	\0\0"
 14059 profiles GIO   fd 3 read 8 bytes
       "\0\0\0\0\\\^E\0\0"
 14059 profiles RET   read 4096/0x1000
 14059 profiles CALL  mquery(0,0x80000,0x5,0,0x3,0,0,0)
 14059 profiles RET   mquery 231800832/0xdd10000
 14059 profiles CALL  mquery(0x2dd10000,0xf000,0x1,0x10,0xffffffff,0,0,0)
 14059 profiles RET   mquery 768671744/0x2dd10000
 14059 profiles CALL  mquery(0x2dd1f000,0x8000,0x3,0x10,0xffffffff,0,0,0)
 14059 profiles RET   mquery 768733184/0x2dd1f000
 14059 profiles CALL  mquery(0x2dd27000,0x1000,0x3,0x10,0xffffffff,0,0,0)
 14059 profiles RET   mquery 768765952/0x2dd27000
 14059 profiles CALL  mquery(0x2dd28000,0x1000,0x3,0x10,0xffffffff,0,0,0)
 14059 profiles RET   mquery 768770048/0x2dd28000
 14059 profiles CALL  mquery(0x2dd29000,0x1f000,0x3,0x10,0xffffffff,0,0,0)
 14059 profiles RET   mquery 768774144/0x2dd29000
 14059 profiles CALL  mmap(0xdd10000,0x80000,0x5,0x12,0x3,0,0,0)
 14059 profiles RET   mmap 231800832/0xdd10000
 14059 profiles CALL  mmap(0x2dd10000,0xf000,0x1,0x12,0x3,0,0x80000,0)
 14059 profiles RET   mmap 768671744/0x2dd10000
 14059 profiles CALL  mmap(0x2dd1f000,0x8000,0x3,0x12,0x3,0,0x8e000,0)
 14059 profiles RET   mmap 768733184/0x2dd1f000
 14059 profiles CALL  mmap(0x2dd27000,0x1000,0x3,0x12,0x3,0,0x95000,0)
 14059 profiles RET   mmap 768765952/0x2dd27000
 14059 profiles CALL  mmap(0x2dd28000,0x1000,0x3,0x12,0x3,0,0x95000,0)
 14059 profiles RET   mmap 768770048/0x2dd28000
 14059 profiles CALL  mmap(0x2dd29000,0x1f000,0x3,0x1012,0xffffffff,0,0,0)
 14059 profiles RET   mmap 768774144/0x2dd29000
 14059 profiles CALL  close(0x3)
 14059 profiles RET   close 0
 14059 profiles CALL  mmap(0,0x5000,0x3,0x1002,0xffffffff,0,0,0)
 14059 profiles RET   mmap -2143105024/0x8042d000
 14059 profiles CALL  mprotect(0xdd10000,0x7f0f6,0x7)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd10000,0xe1bb,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0xdd10000,0x7f0f6,0x5)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd10000,0xe1bb,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0xdd10000,0x7f0f6,0x7)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd10000,0xe1bb,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0xdd10000,0x7f0f6,0x5)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd10000,0xe1bb,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  munmap(0x8042d000,0x5000)
 14059 profiles RET   munmap 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  __sysctl(0xcfbf62d8,0x2,0x3c0038e0,0xcfbf62d4,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  __sysctl(0xcfbf62d8,0x2,0x3c0038e4,0xcfbf62d4,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  __sysctl(0xcfbf62d8,0x2,0x3c0038e8,0xcfbf62d4,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  __sysctl(0xcfbf62d8,0x2,0x3c0038ec,0xcfbf62d4,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  __sysctl(0xcfbf62d8,0x2,0x3c0038f0,0xcfbf62d4,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  __sysctl(0xcfbf62d8,0x2,0x3c0038f4,0xcfbf62d4,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  __sysctl(0xcfbf62d8,0x2,0x3c0038f8,0xcfbf62d4,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  __sysctl(0xcfbf62d8,0x2,0x3c0038fc,0xcfbf62d4,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  __sysctl(0xcfbf634c,0x2,0x2dd46e18,0xcfbf6348,0,0)
 14059 profiles RET   __sysctl 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  readlink(0x2dd1a094,0xcfbf62a4,0x3f)
 14059 profiles NAMI  "/etc/malloc.conf"
 14059 profiles RET   readlink -1 errno 2 No such file or directory
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  issetugid
 14059 profiles RET   issetugid 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  mmap(0,0x1000,0x3,0x1002,0xffffffff,0,0,0)
 14059 profiles RET   mmap -2018369536/0x87b22000
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  break(0x3c003be4)
 14059 profiles RET   break 0
 14059 profiles CALL  break(0x3c003be4)
 14059 profiles RET   break 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  break(0x3c005000)
 14059 profiles RET   break 0
 14059 profiles CALL  break(0x3c005000)
 14059 profiles RET   break 0
 14059 profiles CALL  break(0x3c006000)
 14059 profiles RET   break 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  mmap(0,0x1000,0x3,0x1002,0xffffffff,0,0,0)
 14059 profiles RET   mmap -2021867520/0x877cc000
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  mprotect(0x877cc000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  mprotect(0x877cc000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x877cc000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  break(0x3c006000)
 14059 profiles RET   break 0
 14059 profiles CALL  break(0x3c007000)
 14059 profiles RET   break 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  open(0xcfbf6595,0x2,0)
 14059 profiles NAMI  "NTUSER.DAT"
 14059 profiles RET   open 3
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  fstat(0x3,0xcfbf6380)
 14059 profiles RET   fstat 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  mmap(0xcfbf62f0,0xc0000,0x3,0x1,0x3,0,0,0)
 14059 profiles RET   mmap -1 errno 12 Cannot allocate memory
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  issetugid
 14059 profiles RET   issetugid 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  open(0xcfbf5e2c,0,0)
 14059 profiles NAMI  "/usr/share/nls/C/libc.cat"
 14059 profiles RET   open 4
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  fstat(0x4,0xcfbf5d80)
 14059 profiles RET   fstat 0
 14059 profiles CALL  mmap(0,0xe5a,0x1,0x1,0x4,0,0,0)
 14059 profiles RET   mmap 2098810880/0x7d195000
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  close(0x4)
 14059 profiles RET   close 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  munmap(0x7d195000,0xe5a)
 14059 profiles RET   munmap 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  mprotect(0x877cc000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x877cc000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  write(0x2,0xcfbf5bdc,0x38)
 14059 profiles GIO   fd 2 wrote 56 bytes
       "Could not mmap file: NTUSER.DAT, Cannot allocate memory
       "
 14059 profiles RET   write 56/0x38
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x3c002000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  munmap(0x877cc000,0x1000)
 14059 profiles RET   munmap 0
 14059 profiles CALL  sigprocmask(0x1,0xffffffff)
 14059 profiles RET   sigprocmask 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x3)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  mprotect(0x2dd27000,0x1000,0x1)
 14059 profiles RET   mprotect 0
 14059 profiles CALL  sigprocmask(0x3,0)
 14059 profiles RET   sigprocmask -65793/0xfffefeff
 14059 profiles CALL  exit(0x4)

(In reply to comment #1)
> Just tried it with SuSE 8.2, worked. Could you provide an strace of the program
> failure?
> 
> Volker

Comment 3 Rene Badalassi 2004-11-30 00:04:29 UTC
Hello, I'm just wondering how the bug squashing is going?

Can I be of any assistance? I am available to test if possible.
I have not tested on other BSD's, but can do if needed... let me know!

rene...

(In reply to comment #1)
> Just tried it with SuSE 8.2, worked. Could you provide an strace of the program
> failure?
> 
> Volker

Comment 4 Gerald (Jerry) Carter 2005-02-08 06:04:01 UTC
Richard, are you going to maintain the profiles tool?  Doesn't matter 
to me, I just need to know who is responsible for it.
Comment 5 Richard Sharpe 2005-02-08 09:16:47 UTC
Hmmm, I was not aware of this bug.

I will try this under FreeBSD to see what happens.

I developed it under Linux, so there might be differences.
Comment 6 Richard Sharpe 2005-02-08 09:34:29 UTC
OK, I have duplicated the problem on FreeBSD, so it looks like a problem to do
with differences in mmap between FreeBSD and Linux.

Investigating today.
Comment 7 Richard Sharpe 2005-02-08 14:33:15 UTC
Well, this is proving difficult to track down. FreeBSD seems to want to stick
the mmap'd segment up past the end of the vm map for userspace, but runs beyond
maxdsiz.
Comment 8 Richard Sharpe 2005-02-09 12:01:42 UTC
OK, this bug was due to an error in the params mmap was being called with.

Replace the call to mmap(&start ...) with mmap(NULL ...)

It seems that it just happened to work on Linux.

I will test that it still works on Linux, and then submit my small change.
Comment 9 Richard Sharpe 2005-02-09 12:12:41 UTC
OK, that fix also works on Linux. I also changed the flags to MAP_PRIVATE.

Two people should not be messing with the same file, though.
Comment 10 Gerald (Jerry) Carter 2005-02-25 10:16:45 UTC
fix is present in 3.0.12pre1.  Closing.
Comment 11 Gerald (Jerry) Carter 2005-08-24 10:20:07 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.